Bug 971875 - phpci command renamed to phpcompatinfo
phpci command renamed to phpcompatinfo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 09:31 EDT by Remi Collet
Modified: 2014-01-07 04:41 EST (History)
3 users (show)

See Also:
Fixed In Version: fedora-review-0.5.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:06:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-06-07 09:31:25 EDT
Due to project name conflict with phpci (PHP Continuous Integration) the command "phpci" have been renamed to "phpcompatinfo"

The update (version 2.17.0) in on the road to F >= 17 and EPEL-6.

Can you please update the /usr/share/fedora-review/scripts/php-phpci.sh.
(probably you can raise the dependency on 2.17.0)

Sorry for that.
Comment 1 Remi Collet 2013-06-07 10:01:41 EDT
Notice : RPM of version 2.17.0 will provides both "phpcompatinfo" and "phpci" (a symlink).

So, as this requests still valid, it is not urgent ;)
Comment 2 Fedora End Of Life 2013-07-03 23:27:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Alec Leamas 2013-08-30 09:37:08 EDT
We should take the opportunity to rename the plugin the the much better fedora-review-plugin-phpcompatinfo while fixing this.
Comment 4 Remi Collet 2013-08-30 09:47:39 EDT
Perhaps it will be even simpler to drop the subpackage and provides the /usr/share/fedora-review/scripts/php-phpci.sh in the main package.

If phpcompatinfo command is missing, the reviewer will have a message about the need to install this command for an "exhaustive" review.

While he currently need to know that the sub-package exists

If you really want to keep the sub-package, I will propose to simply use 
   fedora-review-plugin-php
even if it currently only provides the phpcompatinfo stuff, it could be improved later, with more php stuff.
Comment 5 Alec Leamas 2013-08-30 10:06:24 EDT
(In reply to Remi Collet from comment #4)
> Perhaps it will be even simpler to drop the subpackage and provides the
> /usr/share/fedora-review/scripts/php-phpci.sh in the main package.
> 
> If phpcompatinfo command is missing, the reviewer will have a message about
> the need to install this command for an "exhaustive" review.
> 
While I actually have considered this problem, this simple solution didn't pop up in my head. Thanks! This is definitely the way to go.
Comment 6 Alec Leamas 2013-09-02 09:59:16 EDT
Fixed in devel, https://fedorahosted.org/FedoraReview/changeset/0543b88e49a5f5382c8b651166de9a43cfdf6bce.

Of course any feedback, especially no early in the 0.5.1 cycle is more than welcome!
Comment 7 Fedora Update System 2013-10-14 08:15:14 EDT
fedora-review-0.5.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-2.fc18
Comment 8 Fedora Update System 2013-10-14 08:15:28 EDT
fedora-review-0.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-2.el6
Comment 9 Fedora Update System 2013-10-14 08:15:40 EDT
fedora-review-0.5.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-2.fc19
Comment 10 Fedora Update System 2013-10-14 12:07:29 EDT
Package fedora-review-0.5.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-review-0.5.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11828/fedora-review-0.5.0-2.el6
then log in and leave karma (feedback).
Comment 11 Stanislav Ochotnicky 2013-10-15 04:06:53 EDT
Remi wrt your comment on the update: I know the package uses "phpci" command, however since the symlink exists this is OK. Next release of f-r will use phpcompatinfo due to upstream commit. I was just a bit lazy (I'd have to generate/apply the patch :-D).

Is there a plan to remove phpci symlink during lifetime of F18? I guess this turned into "remove phpci subpackage" update.
Comment 12 Remi Collet 2013-10-15 04:19:58 EDT
> Is there a plan to remove phpci ...

Yes. I plan to remove it, but only in f >= 20, so I'm waiting for this fix to be able to do it
Comment 13 Fedora Update System 2013-10-15 07:10:52 EDT
fedora-review-0.5.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-3.el6
Comment 14 Fedora Update System 2013-10-15 07:11:10 EDT
fedora-review-0.5.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-3.fc19
Comment 15 Fedora Update System 2013-10-15 07:11:25 EDT
fedora-review-0.5.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-3.fc18
Comment 16 Fedora Update System 2013-10-29 21:49:37 EDT
fedora-review-0.5.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-10-29 21:56:27 EDT
fedora-review-0.5.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-04 12:36:06 EST
fedora-review-0.5.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-12-13 09:59:43 EST
fedora-review-0.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc18
Comment 20 Fedora Update System 2013-12-13 10:00:48 EST
fedora-review-0.5.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.el6
Comment 21 Fedora Update System 2013-12-13 10:01:52 EST
fedora-review-0.5.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.1-1.fc19
Comment 22 Fedora Update System 2013-12-19 02:06:24 EST
fedora-review-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2014-01-06 20:21:10 EST
fedora-review-0.5.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2014-01-07 04:36:21 EST
fedora-review-0.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-01-07 04:41:23 EST
fedora-review-0.5.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.